import siteFooterTwig from './site-footer.twig';
import './site-footer.js';
import '@ui-component/follow-us/follow-us.js';

import { fakeDrupalSystemMenuBlock } from '.storybook/utils';

import { social } from '@ui-navigation/social/component/menu.social.stories';
import { footer } from '@ui-navigation/footer/component/menu.footer.stories';
import { corporate } from '@ui-navigation/corporate/component/menu.corporate.stories';

/**
 * Storybook Definition.
 */
export default { title: 'Site Layout/Site Footer' };

export const siteFooter = (args) => {
  return siteFooterTwig({
    site_footer_footer_menu: footer(),
    site_footer_social_menu: fakeDrupalSystemMenuBlock('social', social(), 'Connect with us'),
    site_footer_corporate_menu: corporate(),
  });
};
